[Freeswitch-svn] [commit] r9294 - freeswitch/trunk/scripts
Freeswitch SVN
brian at freeswitch.org
Thu Aug 14 12:50:13 EDT 2008
Author: brian
Date: Thu Aug 14 12:50:13 2008
New Revision: 9294
Added:
freeswitch/trunk/scripts/freeswitch.sh
Log:
FSSCRIPTS-4 thanks UnixDog
Added: freeswitch/trunk/scripts/freeswitch.sh
==============================================================================
--- (empty file)
+++ freeswitch/trunk/scripts/freeswitch.sh Thu Aug 14 12:50:13 2008
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# freeswitch.sh - startup script for freeswitch on FreeBSD
+#
+# This goes in /usr/local/etc/rc.d and gets run at boot-time.
+
+case "$1" in
+
+ start)
+ if [ -x /usr/local/freeswitch/bin/freeswitch ] ; then
+ echo -n " freeswitch"
+ /usr/local/freeswitch/bin/freeswitch -nc &
+ fi
+ ;;
+
+ stop)
+ if [ -x /usr/local/freeswitch/bin/freeswitch ] ; then
+ echo -n " freeswitch"
+ /usr/local/freeswitch/bin/freeswitch -stop &
+ fi
+ ;;
+
+ *)
+ echo "usage: $0 { start | stop }" >&2
+ exit 1
+ ;;
+
+esac
\ No newline at end of file
More information about the Freeswitch-svn
mailing list